package com.sysu.admin.controller.aland;

import java.util.HashMap;
import java.util.Map;

/**
 * 统计的枚举数据
 */
public class StatItemData {

    /**
     * ph, toc, c, _2n, p, k
     */
    public static Map<String, String[]> typeMap = new HashMap<String, String[]>(){{
        put("ph",new String[]{"ph","ph_level"});
        put("toc",new String[]{"toc","toc_level"});
        put("c",new String[]{"c","c_level"});
        put("_2n",new String[]{"_2n","_2n_level"});
        put("p",new String[]{"p","p_level"});
        put("k",new String[]{"k","k_level"});
    }};

    public static String[] phNames = {"4.49-5.00","5.00-6.50","6.50-7.50","7.50-8.50","8.50-8.70"};
    public static String[] phColors = {"#FF0101","#FFC902","#A2FF71","#34C2FE","#4141FF"};

    public static String[] tocNames = {"0.0-0.5","0.5-1.2","1.2-1.4","1.4-1.8","1.8-2.5"};
    public static String[] tocColors = {"#EFECAB","#C9BD88","#A69267","#856B49","#664830"};

    public static String[] cNames = {"1.19-9.27","9.27-12.47","12.47-16.17","16.17-21.25","21.25-33.44"};
    public static String[] cColors = {"#DBDBDB","#b0b0b0","#b0b0b0","#656565","#434343"};

    public static String[] _2nNames = {"0.18-2.2","2.2-2.62","2.62-3.26","3.26-4.40","4.40-6.15"};
    public static String[] _2nColors = {"#D3E4E7","#A6BFCF","#7C9FB7","#607E98","#306899"};

    public static String[] pNames = {"0.01-0.44","0.44-0.62","0.62-0.87","0.87-1.22","1.22-2.20"};
    public static String[] pColors = {"#DCF5E8","#A7CFB4","#77A883","#4B8758","#226536"};

    public static String[] kNames = {"0.20-8.35","8.35-14.54","14.54-18.74","18.74-24.57","24.57-38.50"};
    public static String[] kColors = {"#FFDFDF","#EAA69B","#CF705F","#B04131","#8E0B0A"};


    public static String[] get(String fieldStart, String end){
        try {
            return (String[])StatItemData.class.getField(fieldStart + end).get(null);
        } catch (IllegalAccessException e) {
            e.printStackTrace();
        } catch (NoSuchFieldException e) {
            e.printStackTrace();
        }
        return null;
    }






}
